Last modified: 2014-05-27 15:29:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 61500 - VisualEditor: Document what is needed in terms of support for custom MediaWiki skins
VisualEditor: Document what is needed in terms of support for custom MediaWik...
Status: RESOLVED FIXED
Product: VisualEditor
Classification: Unclassified
MediaWiki integration (Other open bugs)
unspecified
All All
: Normal enhancement
: VE-deploy-2014-05-29
Assigned To: Alex Monk
https://www.mediawiki.org/wiki/Visual...
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-02-18 17:06 UTC by Daniel Vu
Modified: 2014-05-27 15:29 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Daniel Vu 2014-02-18 17:06:16 UTC
I was wondering whether it is possible for VisualEditor to work with other skins besides the officially supported ones (which I believe to be Vector, Monobook, and Apex). I’ve been tasked with creating a custom skin to meet my organization’s existing design standards, but it does not seem so easy to add support for VisualEditor in this regard. And documentation addressing similar issues to mine seem to be rare at the moment.

For now, I've heavily modified Vector as a workaround, but would prefer a more long-term solution if one exists. I assume that the Vector skin will continue to receive regular updates in the future, and I’d like to avoid having to modify it every time that happens.
Comment 1 James Forrester 2014-03-11 01:59:03 UTC
Yes, we currently don't document well what requirements we have on skins (because we're adding requirements as we go). We should improve documentation so that it's easier for skin maintainers to know what they need to do.
Comment 2 Alex Monk 2014-05-02 20:35:40 UTC
I started writing some notes about what VE expects of skins in https://docs.google.com/a/wikimedia.org/document/d/1awG4IKujTFd72RJzr_4DVInKDO1BqRxRHbTnCHvYLr4/edit (Obviously, when I started a Google doc I expected to end up writing more. :/). Looking for feedback.

Currently it starts with the IDs it expects to be present and then a note relating to Gerrit change #130085 and Gerrit change #130656.

Never having made a skin myself I'm not 100% confident about what we need to make clear here or what's wanted by the bug reporter.
Comment 3 s7eph4n 2014-05-10 20:36:33 UTC
I have a skin ([[Skin::Cameleon]]) that's based on Dantmman's excellent tutorial ([[Manual:Skinning/Tutorial]]). All I really did (aside from installing Visual Editor) was to add my skin's name to the $wgVisualEditorSupportedSkins global array variable.

We already found a number of CSS issues, that need fixing, but aside from that it seems to work.
Comment 4 James Forrester 2014-05-27 15:29:42 UTC
I'm going to deem this fixed based on the details in https://www.mediawiki.org/wiki/VisualEditor/Skin_requirements now available.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links